Page MenuHomePhabricator

efl.ui.scrollable_interactive
Closed, WontfixPublic

Description

| |interface Efl.Ui.Scrollable_Interactive @beta
|├ (P) content_pos
|├ (P) content_size
|├ (P) viewport_geometry
|├ (P) bounce_enabled
|├ (P) scroll_freeze
|├ (P) scroll_hold
|├ (P) looping
|├ (P) movement_block
|├ (P) gravity
|├ (P) match_content
|├ (P) step_size
|├ (M) scroll
bu5hm4n created this task.May 3 2019, 11:42 AM
bu5hm4n triaged this task as TODO priority.
bu5hm4n added a parent task: T7870: efl.ui.grid.

scroll would need a align parameter i think.

You'll need to give more details...

scroll right now has a rect and a boolean flag for toggling the animation. With this you can say that the specified rectangle needs to be moved into the viewport. However, a user also might want to give a hint where the rectangle in the viewport wants to be (top-left ? center? top-right ?) A Position_2D with relative coordinates could be useful for that.

zmike moved this task from Backlog to Evaluating on the efl: api board.Aug 29 2019, 7:49 AM

I think a position would be way too descriptive; developers are just going to want to do top/middle/bottom.

@woohyun @Jaehyun_Cho can you tell us about app developer needs here?

@eagleeye

Could you share your opinion based on your experience with application developers ?

I think we need both things.
Position based scrolling is necessary in general case. and user can adjust target position and alignment by controling position and size value.
You can find an example in elm.genlist(_elm_genlist_item_coordinates_calc)

If we create new API that using Eo as paramter, hint of align is necessary.
For example efl_ui_scrollalbe_scroll_object(button, BOTTOM_CENTER);

zmike added a comment.Sep 6 2019, 6:12 AM

Huh, okay. If you want to create patches for this then I can review them?

I think it will take more time to implement. so I will implement it in the next version.

zmike added a comment.Sep 19 2019, 9:58 PM

Okay, so we'll keep the current one as-is and add the other one at a later point? This is needed in the inheritance tree so it would have to be stable for this release...

Yes I'll keep the current one and the other one will be created newly.

All things in this class moved into Efl.Ui.Scrollable by D10072 (as a result of the discussion in T7883).

@zmike
So, could we mark this task as closed one ?

bu5hm4n closed this task as Wontfix.Sep 24 2019, 7:03 AM
bu5hm4n claimed this task.

Lets close this here.